<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Number History</title>
    <!-- Adding Roboto font for a clean, modern look -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Anek+Bangla:wght@400;700&family=Roboto:wght@400;700&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        body {
            font-family: 'Roboto', sans-serif;
            background-color: #121212;
            color: #f4f4f4;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 100%;
            margin: 50px auto;
            background-color: #1c1c1c;
            border-radius: 15px;
            box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
            padding: 30px;
            border: 1px solid #333;
        }
        h1 {
            text-align: center;
            color: #fff;
            font-family: 'Anek Bangla', serif;
            font-weight: bold;
            letter-spacing: 2px;
        }
        .result-box {
            margin-top: 30px;
            padding: 20px;
            border-radius: 10px;
            background-color: #212121;
            border: 1px solid #444;
        }
        .result-box table {
            width: 100%;
            border-collapse: collapse;
            color: #f4f4f4;
        }
        .result-box th, .result-box td {
            padding: 15px;
            text-align: left;
            border-bottom: 1px solid #333;
        }
        .result-box th {
            background-color: #e91e63;
            color: white;
            font-family: 'Roboto', sans-serif;
        }
        .result-box td {
            font-family: 'Roboto', sans-serif;
        }
        footer {
            text-align: center;
            padding: 20px 0;
            margin-top: 30px;
            font-family: 'Roboto', sans-serif;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Number History</h1>
        <div class="result-box">
            <table>
                <thead>
                    <tr>
                        <th>NAME</th>
                        <th>NUMBER</th>
                        <th>NAGAD</th>
                        <th>CARRIER</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    // Read JSON file
                    $json_file = 'phone_info.json';
                    if (file_exists($json_file)) {
                        $json_data = file_get_contents($json_file);
                        $phone_data = json_decode($json_data, true);

                        // Check if data exists and display it in the table
                        if (!empty($phone_data)) {
                            foreach ($phone_data as $entry) {
                                echo "<tr>";
                                echo "<td>" . htmlspecialchars($entry['name']) . "</td>";
                                echo "<td>" . htmlspecialchars($entry['number']) . "</td>";
                                echo "<td>" . htmlspecialchars($entry['nagad']) . "</td>";
                                echo "<td>" . htmlspecialchars($entry['carrier']) . "</td>";
                                echo "</tr>";
                            }
                        } else {
                            echo "<tr><td colspan='4'>No data available.</td></tr>";
                        }
                    } else {
                        echo "<tr><td colspan='4'>File not found.</td></tr>";
                    }
                    ?>
                </tbody>
            </table>
        </div>
    </div>

    <footer>
        <p>Developed by Sarker T A H S I N</p>
    </footer>
</body>
</html>
