<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Number Info Finder</title>
    <link href="https://fonts.googleapis.com/css2?family=Anek+Bangla:wght@100..800&display=swap" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="cssnumber.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.4.0/jspdf.umd.min.js"></script>

    
    <style>
        /* Existing CSS */


    </style>
</head>
<body>
    <!-- Top-Up Message -->
    <div class="topup-message">
        সাইটে নতুন আপডেট হয়েছে! সাইট টি সম্পূর্ণ ফ্রী! 
    </div>

    <div class="container">
        <h1>নাম্বার তথ্য অনুসন্ধান</h1>
        
        <form method="post" action="" onsubmit="showLoader()">
    <div class="form-group">
        <label for="phone">নাম্বার লিখুন:</label>
        <input type="text" id="phone" name="cli" placeholder="01 দিয়ে নাম্বার শুরু করুন" required maxlength="11" pattern="\d{11}">
    </div>
    <div class="form-group">
        <button type="submit">Submit <div class="loader" id="loader"></div></button>
    </div>
</form>

<!-- Success Notice -->
<div class="alert alert-success" id="successNotice" style="display:none;">
    Download started successfully!
</div>

        <!-- Success and Cancel Audio -->
        <audio id="successTone" src="success-tone.wav" preload="auto"></audio>
        <audio id="cancelTone" src="cancel-tone.wav" preload="auto"></audio>
        

<?php
if (isset($_POST['cli'])) {
    // Get the phone number from the form and prepend "88"
    $phone_number = htmlspecialchars($_POST['cli']);
    
    // Validate phone number
    if (!preg_match('/^01\d{9}$/', $phone_number)) {
        echo "<div class='alert alert-danger'>অনুগ্রহ করে সঠিক নম্বর দিন (শুধুমাত্র 01 দিয়ে শুরু হতে হবে এবং +88 এই রকম নাম্বার দিবেন না)।</div>";
        echo "<script>document.getElementById('cancelTone').play();</script>";
    } else {
        $phone_number_full = "88" . $phone_number;

        // Generate a random 6-character ID for download
        function generateRandomID($length = 6) {
            $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
            $id = '';
            for ($i = 0; $i < $length; $i++) {
                $id .= $characters[rand(0, strlen($characters) - 1)];
            }
            return $id;
        }

        $download_id = generateRandomID();
        $current_date = date('Y-m-d');
        $current_time = date('H:i:s');

        // Initialize a cURL session
        $ch = curl_init();

        // Set the URL with the phone number from the input
        $url = "https://api.eyecon-app.com/app/getnames.jsp";

        // Set the required headers
        $headers = [
            "User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36",
            "accept: application/json",
            "e-auth-v: e1",
            "e-auth: 0a137e30-29c1-4ce8-b81f-f9e6b4be4b34",
            "e-auth-c: 32",
            "e-auth-k: PgdtSBeR0MumR7fO",
            "accept-charset: UTF-8",
            "content-type: application/x-www-form-urlencoded; charset=utf-8",
            "Host: api.eyecon-app.com",
            "Connection: Keep-Alive",
            "Accept-Encoding: gzip"
        ];

        // Set cURL options
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_ENCODING, "gzip");

        // Set POST fields with the modified phone number
        $post_fields = "cli=" . urlencode($phone_number_full) . "&lang=en&is_callerid=true&is_ic=true&cv=vc_510_vn_4.0.510_a&requestApi=URLconnection&source=MenifaFragment";
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post_fields);

        // Execute the request and get the response
        $response = curl_exec($ch);

        // Check for errors
        if (curl_errno($ch)) {
            echo 'Curl error: ' . curl_error($ch);
            echo "<script>document.getElementById('cancelTone').play();</script>";
        } else {
            // Decode the JSON response if needed
            $data = json_decode($response, true);

            // Initialize variables for saving data
            $name = '';
            $carrier = '';
            $spam_status = 'No'; // Default value for spam

            // Print the result
            echo "<div class='result-box' id='resultBox'>";
            echo "<div class='profile-picture'>";
            echo "<img src='https://api.multiavatar.com/" . urlencode($phone_number_full) . ".png' alt='Profile Picture'>";
            echo "</div>";
            echo "<table class='table table-striped' id='resultTable'>";
            echo "<tr><th>Field</th><th>User Information</th></tr>";

            // Display the data
            if (!empty($data) && is_array($data)) {
                foreach ($data as $item) {
                    if (isset($item['name'])) {
                        $name = $item['name'];
                        echo "<tr><td>NAME</td><td>" . $item['name'] . "</td></tr>";
                    }

                    // Check if the response contains 'suspicious_spam' key
                    if (isset($item['suspicious_spam']) && $item['suspicious_spam'] == 1) {
                        $spam_status = 'Yes (suspicious spam)';
                    }

                    // Carrier logic based on number prefix
                    if (strpos($phone_number, '017') === 0 || strpos($phone_number, '013') === 0) {
                        $carrier = 'Grameenphone';
                    } elseif (strpos($phone_number, '018') === 0) {
                        $carrier = 'Robi';
                    } elseif (strpos($phone_number, '019') === 0 || strpos($phone_number, '014') === 0) {
                        $carrier = 'Banglalink';
                    } elseif (strpos($phone_number, '016') === 0) {
                        $carrier = 'Airtel';
                    } elseif (strpos($phone_number, '015') === 0) {
                        $carrier = 'Teletalk';
                    } else {
                        $carrier = 'Unknown Carrier';
                    }

                    echo "<tr><td>NUMBER</td><td>" . $phone_number . "</td></tr>";
                    echo "<tr><td>NAGAD</td><td>N/A</td></tr>";
                    echo "<tr><td>IMO STATUS</td><td>N/A</td></tr>";
                    echo "<tr><td>COUNTRY</td><td>BANGLADESH</td></tr>";
                    echo "<tr><td>CARRIER</td><td>" . $carrier . "</td></tr>";
                }
                echo "<tr><td>SPAM</td><td>" . $spam_status . "</td></tr>";
                echo "<div class='alert alert-success'>তথ্য সফলভাবে তথ্য পাওয়া গিয়েছে।</div>";
                echo "<script>document.getElementById('successTone').play();</script>";

                // Add a button to download the result as PDF
                echo "<div class='text-center mt-3'>";
                echo "<button class='btn btn-success' onclick='downloadPDF(\"$download_id\")'>Download Result as PDF</button>";
                echo "</div>";
                echo "<br>";
            } else {
                echo "<tr><td colspan='2'>No name found in the response.</td></tr>";
                echo "<script>document.getElementById('cancelTone').play();</script>";
            }

            // Add Telegram and WhatsApp links
            echo "<tr><td>TELEGRAM</td><td><a href='https://t.me/+$phone_number_full' class='btn btn-primary telegram' target='_blank'>View Telegram</a></td></tr>";
            echo "<tr><td>WHATSAPP</td><td><a href='https://wa.me/$phone_number_full' class='btn btn-success whatsapp' target='_blank'>View WhatsApp</a></td></tr>";
            echo "</table>";
            echo "</div>";

            // Save the data in JSON format
            $result_data = [
                'name' => $name,
                'number' => $phone_number,
                'nagad' => 'N/A',
                'carrier' => $carrier
            ];

            $json_file = 'phone_info.json'; // JSON file to store the data
            if (file_exists($json_file)) {
                // Read the existing data and append the new data
                $existing_data = json_decode(file_get_contents($json_file), true);
                $existing_data[] = $result_data;
                file_put_contents($json_file, json_encode($existing_data, JSON_PRETTY_PRINT));
            } else {
                // Create a new file if it doesn't exist
                $new_data = [$result_data];
                file_put_contents($json_file, json_encode($new_data, JSON_PRETTY_PRINT));
            }

            // Save download history
            $download_history_file = 'download_history.json';

            $download_data = [
                'name' => $name,
                'number' => $phone_number,
                'downloadID' => $download_id,
                'date' => $current_date,
                'time' => $current_time
            ];

            if (file_exists($download_history_file)) {
                // Read existing history and append new data
                $history_data = json_decode(file_get_contents($download_history_file), true);
                $history_data[] = $download_data;
                file_put_contents($download_history_file, json_encode($history_data, JSON_PRETTY_PRINT));
            } else {
                // Create new history file if not exists
                file_put_contents($download_history_file, json_encode([$download_data], JSON_PRETTY_PRINT));
            }
        }

        // Close the cURL session
        curl_close($ch);
    }
}
?>

       


    </div>
    <!-- Footer Section -->
    <footer>
        <p>Developed by Sarker T A H S I N</p>
        <div class="social-icons">
            <a href="https://www.facebook.com/sarker" target="_blank" class="fa fa-facebook">FB /</a>
            <a href="https://t.me/sarker" target="_blank" class="fa fa-telegram">/ T.ME</a>
        </div>
    </footer>
    <script>
        function showLoader() {
            document.getElementById('loader').style.display = 'block';
        }
    </script>
    
<script>
function downloadPDF(downloadID) {
    const { jsPDF } = window.jspdf;
    const doc = new jsPDF();

    // Set the font and center the title with red color
    doc.setFont('Helvetica', 'bold');
    doc.setFontSize(20);
    doc.setTextColor(255, 0, 0); // Red color
    doc.text('Number Information Finder', 105, 20, { align: 'center' });

    // Add the green horizontal separator
    doc.setDrawColor(0, 128, 0); // Green color
    doc.setLineWidth(1.2); // Line thickness (lowered)
    doc.line(15, 25, 195, 25); // Draw the line (90% width of the page)

    // Add the slogan with a nice color
    doc.setFontSize(14);
    doc.setTextColor(0, 123, 255); // Nice shade of blue
    doc.text('Information regarding the number you provided has been successfully retrieved!', 105, 35, { align: 'center' });

    // Add date and time (Dhaka, GMT +6)
    const date = new Date().toLocaleDateString('en-GB', { timeZone: 'Asia/Dhaka' });
    const time = new Date().toLocaleTimeString('en-GB', { timeZone: 'Asia/Dhaka' });
    doc.setFontSize(12);
    // Date on the left
    doc.text(`Date: ${date}`, 10, 45);
    // Time on the right
    doc.text(`Time: ${time} (GMT +6)`, 200, 45, { align: 'right' });

    // Add the horizontal line after the date and time
    doc.setDrawColor(255, 128, 0); // Line color (matches #00A4BD)
    doc.setLineWidth(1.4); // Line thickness
    doc.line(10, 50, 200, 50); // Draw the line across the page width

    // Draw the profile picture
    const img = document.querySelector('.profile-picture img').src;
    doc.addImage(img, 'PNG', 10, 65, 30, 30);

    // Set the font for table content
    doc.setFont('Helvetica', 'normal');
    doc.setFontSize(12);

    // Add table header
    doc.setFillColor(23, 162, 184);
    doc.setTextColor(255, 255, 255);
    doc.rect(50, 65, 150, 10, 'F');
    doc.text('Field', 55, 72);
    doc.text('User Information', 120, 72);

    // Get the data from the table
    const rows = document.querySelectorAll('#resultTable tr');

    // Reset text color for table content
    doc.setTextColor(40, 55, 71);

    // Extract number from the second cell of the second row
    let number = '';
    if (rows.length > 2) {
        const cols = rows[2].querySelectorAll('td');
        if (cols.length > 1) {
            number = cols[1].innerText.trim();
        }
    }

    // Loop through the rows and add them to the PDF
    let y = 82;
    rows.forEach((row, index) => {
        if (index > 0) { // Skip the header row
            const cols = row.querySelectorAll('td, th');
            if (cols.length === 2 && cols[0].innerText !== 'TELEGRAM' && cols[0].innerText !== 'WHATSAPP') {
                doc.setFillColor(233, 236, 239); // Light gray for alternate rows
                doc.rect(50, y, 150, 10, 'F');
                doc.text(cols[0].innerText, 55, y + 7);
                doc.text(cols[1].innerText, 120, y + 7);
                y += 12;
            }
        }
    });

    // Add "View Socials" title with a background color
    const socialsTitleFontSize = 14; // Font size for the title
    doc.setFont('Helvetica', 'normal');
    doc.setFontSize(socialsTitleFontSize);
    doc.setFillColor(0, 123, 255); // Blue background
    doc.rect(50, y, 150, 10, 'F');
    doc.setTextColor(255, 255, 255); // White text
    doc.text('View Socials', 105, y + 7, { align: 'center' });
    y += 15; // Move down for the next section

    // Add social links
    const socialLinks = [
        { label: 'Telegram', url: `https://t.me/+88${number}` },
        { label: 'WhatsApp', url: `https://wa.me/88${number}` }
    ];

    // Set font size for social links
    doc.setFont('Helvetica', 'bold');
    doc.setFontSize(12);

    socialLinks.forEach(link => {
        doc.setFillColor(233, 236, 239); // Light gray background
        doc.rect(50, y, 150, 10, 'F');
        doc.setTextColor(0, 123, 255); // Blue color for links
        doc.text(link.label, 55, y + 7);
        doc.setTextColor(0, 0, 255); // Blue color for URLs
        doc.textWithLink(`View ${link.label}`, 120, y + 7, { url: link.url });
        y += 12;
    });

    // Add the green horizontal line before the disclaimer note
    doc.setDrawColor(0, 255, 15); // Green line color
    doc.setLineWidth(1.4); // Line thickness
    doc.line(10, y + 10, 200, y + 10); // Draw the line across the page width
    y += 20; // Adjust the y position for the disclaimer note

    // Add the disclaimer note in a box
    doc.setFont('Helvetica', 'bold');
    doc.setFontSize(11);
    doc.setTextColor(0, 0, 0); // Black text color
    doc.setFillColor(240, 240, 240); // Light gray background for the box
    doc.rect(10, y, 190, 38, 'F'); // Draw the rectangle for the note
    const noteText = `Disclaimer: This website provides a tool for finding information related to phone numbers, such as associated names. The service is intended for personal use only, and users are required to ensure that their use of the information complies with all applicable laws and regulations. By using this website, you agree to our terms and conditions, which include a strict prohibition on using the service for any unlawful or unethical activities. The site does not guarantee the accuracy of the information provided and disclaims all liability for any misuse of the data.`;
    doc.text(noteText, 15, y + 7, { maxWidth: 180, lineHeightFactor: 1.5 });
    y += 45; // Adjust the y position to move it down for the "Thanks For Using Our Service" text

    // Add "Thanks For Using Our Service" text with a nice design
    doc.setFont('Courier', 'bold');
    doc.setFontSize(15);
    doc.setTextColor(0, 123, 255); // Nice blue color
    doc.text('Thanks For Using Our Service - Sarker Tahsin (Owner)', 105, y, { align: 'center' });
    y += 40; // Adjust the y position for the footer

    // Add footer
    doc.setFont('Helvetica', 'italic');
    doc.setFontSize(10);
    doc.setTextColor(100, 100, 100);
    doc.text('Generated by Sarker T A H S I N', 10, 285);
    doc.text('https://www.facebook.com/SarkerTahsinOfficials | https://t.me/ERroX0', 10, 290);

    // Add full date and time in the footer
    const fullDateTime = new Date().toLocaleString('en-GB', { timeZone: 'Asia/Dhaka' });
    doc.text(`Date & Time: ${fullDateTime} `, 10, 295);

    // Save the PDF with dynamic file name
    const fileName = `Number Info (${number}) By Sarker Tahsin.pdf`;
    doc.save(fileName);

    // Show the success notice
    document.getElementById('successNotice').style.display = 'block';
    setTimeout(() => {
        document.getElementById('successNotice').style.display = 'none';
    }, 5000); // Hide the notice after 5 seconds
}
</script>


</body>
</html>